using Avalonia;
using Avalonia.Controls.ApplicationLifetimes;
using Avalonia.Markup.Xaml;

namespace Млаумчерб.Клиент.видимое;

public class Приложение : Application
{
    public static LauncherLogger Логгер = new();
    public static Настройки Настройки = new();
    
    public override void Initialize()
    {
        Логгер.LogInfo(nameof(Приложение), "приложение запущено");
        Настройки = Настройки.ЗагрузитьИзФайла();
        AvaloniaXamlLoader.Load(this);
    }

    public override void OnFrameworkInitializationCompleted()
    {
        if (ApplicationLifetime is IClassicDesktopStyleApplicationLifetime desktop)
        {
            desktop.MainWindow = new Окне();
        }

        base.OnFrameworkInitializationCompleted();
    }
}